API Reference
Auto-generated
Support
API reference for support endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.GET /api/v1/support/response-time-hint
GET
/api/v1/support/response-time-hintGet per-priority SLA response time hints
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/support/response-time-hint \
-H "Authorization: Bearer YOUR_SESSION_TOKEN" \
-H "Content-Type: application/json"Response Example
JSON
{
"sla_targets": {},
"avg_response_time_hours": "example"
}PATCH /api/v1/support/tickets/{ticket_id}
PATCH
/api/v1/support/tickets/{ticket_id}Update own ticket
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| ticket_id | string | Required | ticket_id |
| status | "open" | "awaiting_reply" | "in_progress" | "resolved" | "closed" | "merged" | Optional | TicketStatus |
| priority | "low" | "medium" | "high" | "urgent" | Optional | TicketPriority |
| category_id | string | Optional | category_id |
| assigned_to | string | Optional | assigned_to |
| tags | string[] | Optional | tags |
Request Example
Bash
curl -X PATCH https://api.alterlab.io/api/v1/support/tickets/<ticket_id> \
-H "Authorization: Bearer YOUR_SESSION_TOKEN" \
-H "Content-Type: application/json"Response Example
JSON
{
"id": "example",
"ticket_ref": "example",
"ticket_number": 0,
"user_id": "example",
"category_id": "example",
"category": "example"
}POST /api/v1/support/tickets/{ticket_id}/read
POST
/api/v1/support/tickets/{ticket_id}/readMark ticket as read
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| ticket_id | string | Required | ticket_id |
Request Example
Bash
curl -X POST https://api.alterlab.io/api/v1/support/tickets/<ticket_id>/read \
-H "Authorization: Bearer YOUR_SESSION_TOKEN" \
-H "Content-Type: application/json"Response Example
JSON
{
"status": "ok"
}